Subject: Offline Message from Rafa helal: I was ordered before 1 month and I contacted
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 09 Jun 2020 22:11:56 -0000

From: Rafa helal <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/contact-us
Department: 

I was ordered before 1 month and I contacted with you about my order  , the customer service told me the order with saee 
When I contacted with saee they told me they didn’t  receive  the order

I want to know where is my order???

Order no: 100148602

----
Zopim
https://www.zopim.com